SYS_GET_ROBUST_LIST(9)

NAME
sys_get_robust_list - Get the robust-futex list head of a task

SYNOPSIS

long sys_get_robust_list(int pid, struct robust_list_head __user *__user * head_ptr, size_t __user * len_ptr);

ARGUMENTS

pid
    pid of the process [zero for current task]

head_ptr
    pointer to a list-head pointer, the kernel fills it in

len_ptr
    pointer to a length field, the kernel fills in the header size

AUTHOR

Rusty Russell <rusty@rustcorp.com.au>
    Author.

COPYRIGHT